body {
    font-family: Arial, Helvetica, sans-serif;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    font-weight: bold;
    background-color: hsl(30, 7%, 65%);
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    min-height: 100vh;
}

#container {
    display: flex;
    flex-direction: column;
    align-items: center;
    border: 5px solid black;
    margin: 2rem;
    padding: 2rem;
    background-color: hsl(37, 9%, 99%);
    border-radius: 1.5rem;
    box-shadow: 5px 5px 15px hsla(0, 0%, 0%, 0.418);
}

h1 {
    font-size: 2.5rem;
    margin-top: 0;
    text-align: center;
}

.choices {
    margin-bottom: 2rem;
    display: flex;
    gap: 1rem;
    justify-content: center;
    align-items: center;
}

.choices button {
    padding: 1rem;
    width: 100%;
    height: auto;
    max-width: 160px;
    border-radius: 50%; 
    background-color: hsl(37, 9%, 92%);
    cursor: pointer;
    border: 3px solid black;
    text-align: center;
    outline: none; 
    overflow: hidden;
    transition: background-color 0.15s ease;
}

.choices button img{
    max-height: 90px;
}

.imgChoices{
    max-height: 50px;
}

#playerDisplay,
#computerDisplay {
    font-size: 1.5rem;
    margin-bottom: 0.5rem;
    text-align: center;
}

#resultDisplay {
    font-size: 2.3rem;
    margin: 1rem 0;
    color: black;
    text-align: center;
}

.scoreDisplay {
    font-size: 1.5rem;
    margin-bottom: 0.7rem;
    text-align: center;
}

#playerScoreDisplay {
    color: green;
}

#computerScoreDisplay {
    color: red;
}

#drawScoreDisplay {
    color: rgb(12, 25, 207);
}

#resetBtn,
#autoplayBtn{
    margin: 0.7rem;
    padding: 0.75rem 1.5rem;
    font-size: 1.5rem;
    border: none;
    border-radius: 0.5rem;
    font-weight: bold;
    cursor: pointer;
    background-color: hsl(37, 9%, 88%);
}

#resetBtn:hover,
#autoplayBtn:hover{
    background-color: hsl(37, 9%, 80%);
    transition: background-color 0.15s ease;
}

@media (max-width: 610px) {    
    h1 {
        font-size: 2rem;
    }

    .choices {
        display: flex;
        gap: 1rem;
        justify-content: center;
    }

    .choices button {
        max-width: 160px;
    }

    .choices button img {
        max-height: 60px; 
    }

    #playerDisplay,
    #computerDisplay {
        font-size: 1.2rem;
    }

    #resultDisplay{
        font-size: 1.8rem;
    }

    .scoreDisplay,
    .playerScore,
    .computerScore {
        font-size: 1.2rem;
    }

    #resetBtn,
    #autoplayBtn {
        font-size: 1.2rem;
    }

    .imgChoices{
        max-height: 30px;
    }
}

@media (max-width: 430px) {
    #container {
        margin: 1rem;
        padding: 1rem;
    }

    h1 {
        font-size: 2rem; 
    }

    .choices {
        display: flex;
        gap: 1rem;
        justify-content: center;
    }

    .choices button {
        max-width: 100px;
    }

    .choices button img {
        max-height: 60px; 
    }

    #resultDisplay {
        font-size: 1.8rem;
    }

    .imgChoices{
        max-height: 30px;
    }
}

@media (max-width: 380px) {
    #container {        
        min-width: 80%;
        margin: 0.5rem;
        padding: 1rem 0.5rem;
    }

    h1 {
        font-size: 1.5rem; 
    }

    .choices {
        gap: 0.5rem;
    }

    .choices button {
        max-width: 80px;
        padding: 0.5rem; 
    }

    .choices button img {
        max-height: 40px; 
    }

    #playerDisplay,
    #computerDisplay {
        font-size: 1rem; 
    }

    #resultDisplay {
        font-size: 1.4rem; 
    }

    .scoreDisplay {
        font-size: 1rem; 
    }

    #resetBtn,
    #autoplayBtn {
        font-size: 1rem; 
        padding: 0.5rem 1rem; 
    }

    .imgChoices {
        max-height: 30px; 
    }
}
